Skip to main content
GET
/
hyperblock
/
by-hash
/
{hash}
Get hyperblock by hash
curl --request GET \
  --url https://api.example.com/hyperblock/by-hash/{hash}
const options = {method: 'GET'};

fetch('https://api.example.com/hyperblock/by-hash/{hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.example.com/hyperblock/by-hash/{hash}"

response = requests.get(url)

print(response.text)
false
{}

Path Parameters

hash
string
required

Block hash (hex)

Query Parameters

withLogs
boolean

Include logs

notarizedAtSource
boolean

Include notarized-at-source data

withAlteredAccounts
boolean

Include altered accounts

tokens
string

Comma-separated token identifiers to filter

Response

Successful response

The response is of type object.